v1.0

get

/ec-auth-svc/rest/v1.0/authroles/{roleid}/rights

Retrieves all right categories and their respective rights associated with the given role ID. Each returned category includes a list of rights and whether each right is selected for that role.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DisplayCategoryDto
Type: object
DTO representing a category grouping of rights for a role.
Show Source
Example:
{
    "category":"Data Entry",
    "rights":[
        {
            "rightId":"A37EA9D55B0B43A1A36657A4094662A3",
            "rightName":"Edit Forms",
            "rightType":"WRITE",
            "granted":true
        }
    ]
}
Nested Schema : rights
Type: object
DTO representing a right (permission) and whether it is selected for a user or role.
Show Source
Example:
{
    "displayName":"Edit Forms",
    "selected":true
}
Examples

400 Response

Bad request
Body ()
Root Schema : AuthResponse
Type: object
Generic API response wrapper containing result, error data, response version and status.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@65719c12
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top